org.apache.flume.channel.file.encryption

## Class CipherProvider.Decryptor.Builder<T extends CipherProvider.Decryptor>

- java.lang.Object
- - org.apache.flume.channel.file.encryption.CipherProvider.Decryptor.Builder<T>

- Direct Known Subclasses:
    AESCTRNoPaddingProvider.DecryptorBuilder
  Enclosing class:
    CipherProvider.Decryptor

      public abstract static class CipherProvider.Decryptor.Builder<T extends CipherProvider.Decryptor>
      extends Object

  Builder implementations MUST have a no-arg constructor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Key` | `key`
    `protected byte[]` | `parameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CipherProvider.Decryptor.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract T` | `build()`
    `CipherProvider.Decryptor.Builder<T>` | `setKey(Key key)`
    `CipherProvider.Decryptor.Builder<T>` | `setParameters(byte[] parameters)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parameters

          protected byte[] parameters

    - #### key

          protected Key key

  - ### Constructor Detail

    - #### CipherProvider.Decryptor.Builder

          public CipherProvider.Decryptor.Builder()

  - ### Method Detail

    - #### setKey

          public CipherProvider.Decryptor.Builder<T> setKey(Key key)

    - #### setParameters

          public CipherProvider.Decryptor.Builder<T> setParameters(byte[] parameters)

    - #### build

          public abstract T build()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.